<template>
  <div>
    <div class="app-header">
      <img src="../assets/logo.png" class="logo" />
    </div>
    <div class="login-box">
      <router-view></router-view>
    </div>
  </div>
</template>

<script>
import Cookies from 'js-cookie'

export default {
  name: 'CertsLayout',
  metaInfo() {
    return {
      title: this.$t('main.title'),
      link: [{ rel: 'icon', href: 'https://zws-imgs-pub.ezijing.com/static/build/certs/favicon.ico' }]
    }
  },
  data() {
    return {}
  },
  created() {
    this.$i18n.locale = 'en'
    Cookies.set('lang', 'en', { expires: 30, domain: '.ezijing.com' })
  }
}
</script>

<style lang="scss" scoped>
.app-header {
  height: 130px;
  background: #ffffff;
  box-shadow: 0px 3px 15px 5px rgba(201, 201, 201, 0.5);
  padding-top: 24px;
  box-sizing: border-box;
  .logo {
    height: 82px;
    margin: 0 auto;
    display: block;
  }
}
.login-box {
  width: 740px;
  margin: 100px auto;
  // width: 100%;
  // height: 411px;
  background: #ffffff;
  box-shadow: 2px 4px 12px 4px rgba(206, 206, 206, 0.5);
  box-sizing: border-box;
  padding: 90px 128px;
}
</style>
